Bug 188817 - CVE-2006-1742 JavaScript garbage-collection hazard audit
Summary: CVE-2006-1742 JavaScript garbage-collection hazard audit
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: firefox   
(Show other bugs)
Version: 5
Hardware: All Linux
medium
urgent
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard: reported=20060412,source=mozilla,emba...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-04-13 03:13 UTC by Josh Bressers
Modified: 2007-11-30 22:11 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-27 12:56:54 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Josh Bressers 2006-04-13 03:13:17 UTC
JavaScript garbage-collection hazard audit


Igor  Bukanov  has audited the JavaScript engine for routines that use
temporary variables not protected against garbage-collection. If malicious
content could cause garbage-collection to run during the lifetime of these
temporaries  then the original routine would end up operating on freed
memory.

The  risk  appears  remote,  but  this type of memory corruption could
potentially be used by an attacker to run arbitrary code including the
installation of malware.

Note: Thunderbird shares the JavaScript engine with Firefox and could be
vulnerable if JavaScript were to be enabled in mail. This is not the default
setting and we strongly discourage users from running JavaScript in mail.

Workaround

Upgrade to the fixed versions. Do not enable JavaScript in Thunderbird or
Mozilla Suite mail.

References

[1]https://bugzilla.mozilla.org/show_bug.cgi?id=311497
[2]https://bugzilla.mozilla.org/show_bug.cgi?id=311792
[3]https://bugzilla.mozilla.org/show_bug.cgi?id=312278
[4]https://bugzilla.mozilla.org/show_bug.cgi?id=313276
[5]https://bugzilla.mozilla.org/show_bug.cgi?id=313479
[6]https://bugzilla.mozilla.org/show_bug.cgi?id=313630
[7]https://bugzilla.mozilla.org/show_bug.cgi?id=313726
[8]https://bugzilla.mozilla.org/show_bug.cgi?id=313763
[9]https://bugzilla.mozilla.org/show_bug.cgi?id=313938
[10]https://bugzilla.mozilla.org/show_bug.cgi?id=325269


This issue also affects FC4

Comment 1 Josh Bressers 2006-04-27 12:56:54 UTC
These issues have been resolved in FEDORA-2006-411 for FC5 and FEDORA-2006-410
for FC4


Note You need to log in before you can comment on or make changes to this bug.